Show
Show a workflow by ID
GET
/
v2
/
workflows
/
{id}
Show
curl --request GET \
--url https://api.incident.io/v2/workflows/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v2/workflows/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v2/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"management_meta": {
"annotations": {
"incident.io/terraform/version": "3.0.0"
},
"managed_by": "dashboard",
"source_url": "https://github.com/my-company/infrastructure"
},
"workflow": {
"condition_groups": [
{
"conditions": [
{
"operation": {
"label": "Lawrence Jones",
"value": "01FCQSP07Z74QMMYPDDGQB9FTG"
},
"param_bindings": [
{
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
}
],
"subject": {
"label": "Incident Severity",
"reference": "incident.severity"
}
}
]
}
],
"continue_on_step_error": true,
"delay": {
"conditions_apply_over_delay": false,
"for_seconds": 60
},
"expressions": [
{
"else_branch": {
"result": {
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
}
},
"label": "Team Slack channel",
"operations": [
{
"branches": {
"branches": [
{
"condition_groups": [
{
"conditions": [
{
"operation": {
"label": "Lawrence Jones",
"value": "01FCQSP07Z74QMMYPDDGQB9FTG"
},
"param_bindings": [
{
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
}
],
"subject": {
"label": "Incident Severity",
"reference": "incident.severity"
}
}
]
}
],
"result": {
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
}
}
],
"returns": {
"array": true,
"type": "IncidentStatus"
}
},
"filter": {
"condition_groups": [
{
"conditions": [
{
"operation": {
"label": "Lawrence Jones",
"value": "01FCQSP07Z74QMMYPDDGQB9FTG"
},
"param_bindings": [
{
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
}
],
"subject": {
"label": "Incident Severity",
"reference": "incident.severity"
}
}
]
}
]
},
"navigate": {
"reference": "1235",
"reference_label": "Teams"
},
"operation_type": "navigate",
"parse": {
"returns": {
"array": true,
"type": "IncidentStatus"
},
"source": "metadata.annotations[\"github.com/repo\"]"
},
"returns": {
"array": true,
"type": "IncidentStatus"
}
}
],
"reference": "abc123",
"returns": {
"array": true,
"type": "IncidentStatus"
},
"root_reference": "incident.status"
}
],
"folder": "My folder 01",
"form_fields": [
{
"array": true,
"description": "The customer affected by this incident",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"key": "affected_customer",
"required": true,
"title": "Affected customer",
"type": "User"
}
],
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"include_private_escalations": true,
"include_private_incidents": true,
"name": "My little workflow",
"once_for": [
{
"array": false,
"key": "incident.custom_field[\"01FCNDV6P870EA6S7TK1DSYDG0\"]",
"label": "Incident -> Affected Team",
"type": "IncidentSeverity"
}
],
"owning_team_ids": [
"01G0J1EXE7AXZ2C93K61WBPYEH"
],
"private_incident_scope": "owning_teams",
"runs_from": "2021-08-17T13:28:57.801578Z",
"runs_on_incident_modes": [
"standard",
"test",
"retrospective"
],
"runs_on_incidents": "newly_created",
"shortform": "page-the-ceo",
"state": "active",
"steps": [
{
"for_each": "abc123",
"id": "abc123",
"label": "PagerDuty Escalate",
"name": "pagerduty.escalate",
"param_bindings": [
{
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
}
]
}
],
"trigger": {
"label": "Incident Updated",
"name": "incident.updated"
},
"version": 3
}
}Authorizations
API key from your incident.io dashboard (Settings → API keys)
Path Parameters
Unique identifier for the workflow
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
Query Parameters
Skips workflow step upgrades, when the parameters for an existing workflow step change
Example:
false
Was this page helpful?
⌘I
Show
